Bug 967635 - File /usr/bin/razor-lightdm-greeter label as spamc_t but should be xdm_exec_t.
File /usr/bin/razor-lightdm-greeter label as spamc_t but should be xdm_exec_t.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
17
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-27 13:29 EDT by Andre Vehreschild
Modified: 2013-06-23 23:29 EDT (History)
1 user (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-170.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-23 23:29:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andre Vehreschild 2013-05-27 13:29:02 EDT
Description of problem:
Wrong label of razor-lightdm-greeter; Execution of that greeter is prevented by selinux. 

Version-Release number of selected component (if applicable):
selinux-policy-targeted-3.10.0-169.fc17
lightdm-razorqt-0.5.2-8.fc17

How reproducible:
Install both packages and requirements and use the razor-lightdm-greeter as greeter.

Steps to Reproduce:
1. yum install lightdm-razorqt
2. Edit /etc/sysconfig/desktop -> DISPLAYMANAGER=/usr/sbin/lightdm
3. reboot or systemctl restart prefdm

Actual results:
Blank screen and in /var/log/lightdm/x-?-greeter.log a very misleading error message about file not found or permission denied.

Expected results:
The razor-lightdm-greeter as login prompt.

Additional info:
This was solved by adding the line:

/usr/bin/razor-lightdm-greeter		system_u:object_r:xdm_exec_t

to /etc/selinux/targeted/contexts/files/file_contexts.local
Comment 1 Miroslav Grepl 2013-05-28 07:04:58 EDT
Thank you.

commit 56ba9b310d0f114d56ca00b8b007fe9a74cd110d
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Tue May 28 13:04:22 2013 +0200

    Label /usr/bin/razor-lightdm-greeter as xdm_exec_t instead of spamc_exec_t
Comment 2 Fedora Update System 2013-06-07 03:01:12 EDT
selinux-policy-3.10.0-170.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-170.fc17
Comment 3 Fedora Update System 2013-06-07 19:28:08 EDT
Package selinux-policy-3.10.0-170.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-170.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10302/selinux-policy-3.10.0-170.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-06-23 23:29:10 EDT
selinux-policy-3.10.0-170.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.